#!/bin/bash
# t-out.sh
# Inspiré d'une suggestion de "syngin seven" (merci).

LIMITETEMPS=4        # Quatre secondes

read -t $LIMITETEMPS variable <&1
#                             ^^^
#  Dans ce cas, "<&1" est nécessaire pour Bash 1.x et 2.x,
#  mais inutile pour Bash 3.x.

echo

if [ -z "$variable" ]  # Est nul ?
then
  echo "Temps écoulé, la variable n'est toujours pas initialisée."
else  
  echo "variable = $variable"
fi  

exit 0